Function
findRepeats
Search for repeats in a text.
findRepeats(repeatString, text, minRepeatLength[, maxPeriod])
Include Headers
seqan/index.h
Parameters

repeatString | A String of Repeat objects.
text | The text to search repeats in. Types: String, StringSet
minRepeatLength | The minimum length each reported repeat must have.
maxPeriod | Optionally, the maximal period that reported repeats can have. Default: 1

Remarks
Subsequences of undefined values/Ns will always be reported.
Examples
The following demonstrates finding repeats of period 1.
String<Repeat<unsigned, unsigned> > repeats;
Dna5String text = "CGATAAAACTNN";
// repeat 0 AAAA
// repeat 1 NN
findRepeats(repeats, text, 3);
// ==> length(repeats) == 2
// ==> repeats[0] == {beginPosition: 4, endPosition: 8, period: 1}
// ==> repeats[1] == {beginPosition: 11, endPosition: 13, period: 1}
See Also
Repeat, unknownValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58